> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a bank account

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml v1/api-reference/bank-accounts-docs.json get /api/bank/accounts/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Bank accounts API (legacy v1)
  description: API for managing bank accounts in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/bank/accounts/{id}:
    get:
      summary: Get a bank account
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the bank account to be obtained.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBankAccountSchema'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    responseBankAccountSchema:
      type: object
      properties:
        userId:
          type: string
          description: Id of the user who owns the bank account.
          example: 66562bc04fe8bf83c577c178
        createdAt:
          type: string
          description: Creation date and time of the bank account.
          example: '2024-05-31T13:55:11.452Z'
        bankName:
          type: string
          description: Name of the bank.
          example: BANAMEX
        country:
          description: Country of the bank.
          type: string
          enum:
            - MX
            - PE
            - CO
        accountHolderName:
          type: string
          description: Name of the account holder.
          example: Account holder name
        fiat:
          description: Fiat currency of the bank account.
          type: string
          enum:
            - USD
            - MXN
            - PEN
            - COP
        accountNumber:
          type: string
          description: Number of the bank account.
          example: '0123456789'
        CLABE:
          type: string
          description: >-
            The Standardized Bank Code (CLABE) associated with the bank account,
            used in Mexico.
          example: '0023764000000012345'
        CCI:
          type: string
          description: Only for bank accounts in Peru.
          example: '00111233001112345678'
        approved:
          type: boolean
          description: Indicates if the bank account has been approved.
          example: true
        notes:
          type: string
          description: Notes about the bank account.
          example: Bank Account
        email:
          type: string
          description: Only for MXN accounts held at NVIO.
        advancedVerificationStatus:
          description: Advanced verification status of the bank account.
          type: string
          enum:
            - initiated
            - sent
            - passed
            - cancelled
        id:
          type: string
          description: Id of the bank account.
          example: 6659d6bfd78151f639e74d53
        userName:
          type: string
          description: Name of the user who owns the bank account.
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.